#
# spec file for package pwiz (Version 0.02)
#
# Copyright (c) 2004 SUSE LINUX AG, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# neededforbuild  

BuildRequires: aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv less libacl libattr libgcc libnscd libselinux libstdc++ libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch permissions popt procinfo procps psmisc pwdutils rcs readline sed strace syslogd sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel autoconf automake binutils gcc gdbm gettext libtool perl rpm

Name:         pwiz
Version:      0.02
Release:      1
Group:        Development/Tools/Building
License:      GPL
Summary:      A Packaging WIZard
Source:       %{name}-%{version}.tar.bz2
Autoreqprov:  on
BuildRoot:    %{_tmppath}/%{name}-%{version}-build
Requires:     bash sed findutils grep

%description
PWIZ is a packaging process wizard.

Main goals of PWIZ:

- Decrease amount of mechanical work in packaging process by
   processing mechanical steps in semi-automatic way.

- Make packages creating possible for inexperienced users.

- Increase packages quality.



Authors:
--------
    Stanislav Brabec <sbrabec@suse.cz>

%prep
%setup

%build
export CFLAGS="$RPM_OPT_FLAGS"
./configure\
	--prefix=/usr\
	--libexecdir=/usr/%{_lib}\
	--libdir=/usr/%{_lib}\
	--with-docdir=/usr/share/doc/packages
make

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install
cp -p AUTHORS COPYING ChangeLog NEWS README TODO $RPM_BUILD_ROOT%{_defaultdocdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%post

%files
%defattr (-, root, root)
%doc %{_defaultdocdir}/*
/usr/%{_lib}/*
/usr/bin/*
/usr/share/pwiz

%changelog -n pwiz
* Thu Jul 22 2004 - sbrabec@suse.cz
- New SuSE package, version 0.01.
